Mangools/API

Update report

Update the configuration of an existing scheduled email report — change its name, type, recipient emails list or triggers. Returns HTTP 204.

PUT
/serpwatcher/trackings/{tracking_id}/reports/{report_id}

Authorization

ApiKeyAuth
x-access-token<token>

Your Mangools API key

In: header

Path Parameters

tracking_id*string

Tracking ID

report_id*string

Report ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?unknown

Response Body

application/json

curl -X PUT "https://api.mangools.com/v3/serpwatcher/trackings/string/reports/string" \  -H "Content-Type: application/json" \  -d '{    "emails": [      "string"    ],    "name": "string",    "type": 0  }'
{
  "user_id": "string",
  "tracking_id": "string",
  "type": "string",
  "emails": "string",
  "name": "string",
  "triggers": "string",
  "created_at": "string"
}